@import "../../../assets/styles/main.scss";

.updateEsimNameSection {
  display: flex;
  flex-flow: column;
  gap: 40px;
  height: 100%;
  @include lg {
    gap: 24px;
  }

  .updateEsimHeading {
    padding: 40px;
    padding-bottom: 0px;
    @include lg {
      padding: 30px;
      padding-bottom: 0px;
    }
    h1 {
      font-size: 25px;
      line-height: 32px;
      margin-bottom: 10px;
      color: getColorHex("black");
      letter-spacing: 0.20000000298023224px;
      @include inter700;

      @include lg {
        font-size: 20px;
        line-height: 28px;
      }
    }
  }
  .borderdiv {
    background: #d5d8dd;
    height: 1px;
    width: calc(100% - 80px);
    margin: 0 auto;
  }

  .esimInputPart {
    padding: 0 40px;

    label {
      font-size: 16px;
      line-height: 20px;
      text-align: left;

      @include lg {
        font-size: 14px;
        line-height: 18px;
      }
    }

    .enterCouponBalance {
      padding: 25px 0 0 0;
      position: relative;

      input {
        border-radius: 50px;
        border: 1px solid #eef1f5;
        background: #fff;
        padding: 14px 20px 14px 50px;
        width: 100%;
        transition: border 0.3s ease-in-out;
        font-size: 16px;
        line-height: 20px;
        @include lg {
          font-size: 14px;
          line-height: 18px;
        }

        &::placeholder {
          color: getColorHex("placeholder");
        }

        &.errorInput {
          border: 1px solid red;
          animation: shake 0.3s;
        }
      }

      .myPlanActiveicon {
        background: #f47500;
        height: 30px;
        width: 30px;
        border-radius: 50%;
        @include vertical_align_center;
        position: absolute;
        left: 15px;
        bottom: 11px;

        svg {
          height: 15px;
          width: 15px;
        }
      }

      /* Chrome, Safari, Edge, Opera */
      input::-webkit-outer-spin-button,
      input::-webkit-inner-spin-button {
        -webkit-appearance: none;
        margin: 0;
      }

      /* Firefox */
      input[type="number"] {
        -moz-appearance: textfield;
      }
    }

    .updateButtonEsim {
      padding: 40px 0 0 0;
      button {
        display: flex;
        gap: 10px;
        justify-content: center;
        align-items: center;
        color: #fff;
        background-color: getColorHex("orange");
        border: unset;
        border-radius: 35px;
        background: linear-gradient(92deg, #f47500 4.71%, #e47f28 93.98%);
        height: 44px;
        width: 164px;
        padding: 10px 30px;
        transition: 0.3s;
        @include inter700;
        border: none;

        &:disabled {
          opacity: 0.5;
        }
        img {
          width: 24px;
          height: 24px;
        }
        .arrowBack {
          display: block;
        }
        .arrowBackOrange {
          display: none;
        }
        &:hover:not(:disabled) {
          // Add :not(:disabled) to ensure hover effect doesn't apply when button is disabled
          background: getColorHex("white");
          border: 1px solid getColorHex("orange");
          @include transition-3s;
          p {
            color: getColorHex("orange");
          }
          .arrowBack {
            display: none;
          }
          .arrowBackOrange {
            display: block;
          }
        }
        &:disabled {
          background-color: #ccc; // Disabled background color
          cursor: not-allowed; // Change cursor to indicate button is disabled
        }
        p {
          font-size: 20px;
          color: white;
          @include inter700;
          text-transform: capitalize;
          @include lg {
            font-size: 18px;
          }
        }
      }
    }
  }
}
